import random
N = 1000
inp = []
for i in xrange(N/10):
	inp.append(' '.join([str(random.randint(0, 100)) for i in xrange(3)]))
for i in xrange(N - (N/10)):
	inp.append(' '.join([str(random.randint(80, 100)) for i in xrange(3)]))

random.shuffle(inp)
print N
for i in inp:
	print i
